New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Migrate to Elasticsearch 6.x #516

Closed
hoyes opened this Issue Nov 1, 2018 · 1 comment

Comments

Projects
None yet
2 participants
@hoyes
Member

hoyes commented Nov 1, 2018

Just tried to install Elasticsearch 6.x on Antigone and got the following error when populating the index:

Rejecting mapping update to [camdram_prod_autocomplete] as the final mapping would have more than 1 type: [venue, society, person, show]

Figure out what this means, fix and upgrade the apt source.

@CHTJonas CHTJonas added the upgrade label Nov 23, 2018

@hoyes hoyes self-assigned this Nov 25, 2018

hoyes added a commit that referenced this issue Nov 29, 2018

Use a separate ES index for each type #516
 * Merge Behat search tests into SearchControllerTest
 * Adopt alias feature to enable non-destructive index population
 * Add index population deployment step
 * Tested with Elasticsearch 5 and 6

@hoyes hoyes closed this Dec 2, 2018

@hoyes hoyes referenced this issue Dec 2, 2018

Closed

Cannot add roles #532

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment